CVE-2021-41039

NameCVE-2021-41039
DescriptionIn versions 1.6 to 2.0.11 of Eclipse Mosquitto, an MQTT v5 client connecting with a large number of user-property properties could cause excessive CPU usage, leading to a loss of performance and possible denial of service.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs1001028

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mosquitto (PTS)stretch1.4.10-3+deb9u4fixed
stretch (security)1.4.10-3+deb9u5fixed
buster, buster (security)1.5.7-1+deb10u1fixed
bullseye2.0.11-1vulnerable
bookworm, sid2.0.11-1.1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mosquittosourcestretch(not affected)
mosquittosourcebuster(not affected)
mosquittosource(unstable)(unfixed)1001028

Notes

[buster] - mosquitto <not-affected> (Vulnerable code introduced later)
[stretch] - mosquitto <not-affected> (Vulnerable code introduced later)
https://bugs.eclipse.org/bugs/show_bug.cgi?id=575314
Fixed by: https://github.com/eclipse/mosquitto/commit/9d6a73f9f72005c2f19a262f15d28327eedea91f (v2.0.12)

Search for package or bug name: Reporting problems